Bug 210185 - sysutils/flock: Update to 2.28, improve Makefile and TAKE MAINTAINER'ship
Summary: sysutils/flock: Update to 2.28, improve Makefile and TAKE MAINTAINER'ship
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kurt Jaeger
URL:
Keywords: easy, patch, patch-ready
Depends on:
Blocks:
 
Reported: 2016-06-10 06:14 UTC by Franco Fichtner
Modified: 2016-07-30 09:52 UTC (History)
2 users (show)

See Also:
vlad-fbsd: maintainer-feedback+


Attachments
full patch against head (2.39 KB, patch)
2016-06-10 06:14 UTC, Franco Fichtner
no flags Details | Diff
portlint -AC output (12 bytes, text/plain)
2016-06-10 06:17 UTC, Franco Fichtner
no flags Details
poudriere build log (37.44 KB, text/plain)
2016-06-10 06:17 UTC, Franco Fichtner
no flags Details
revised patch against head (2.36 KB, patch)
2016-06-10 06:23 UTC, Franco Fichtner
zont: maintainer-approval+
Details | Diff
additional fix for unsetting NLS (481 bytes, patch)
2016-07-06 06:59 UTC, Franco Fichtner
no flags Details | Diff
revised patch for FreeBSD 11+ (3.10 KB, patch)
2016-07-30 07:51 UTC, Franco Fichtner
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Franco Fichtner 2016-06-10 06:14:04 UTC
Created attachment 171251 [details]
full patch against head

This brings flock to the current state based on fetching the original util-linux sources and configuring them accordingly, adding a NLS knob as suggested by portlint.

Since the port hasn't been tended to by the maintainer since 2011 also request maintainership.
Comment 1 Franco Fichtner 2016-06-10 06:17:03 UTC
Created attachment 171252 [details]
portlint -AC output
Comment 2 Franco Fichtner 2016-06-10 06:17:24 UTC
Created attachment 171253 [details]
poudriere build log
Comment 3 Franco Fichtner 2016-06-10 06:23:46 UTC
Created attachment 171254 [details]
revised patch against head

${INSTALL} / ${STRIP_CMD} changed back to ${INSTALL_PROGRAM}
Comment 4 Andrey Zonov freebsd_committer 2016-06-10 07:09:38 UTC
I don't mind.
Comment 5 VK freebsd_triage 2016-06-10 17:34:57 UTC
Maintainer feedback given, flagging.
Comment 6 VK freebsd_triage 2016-06-10 17:36:28 UTC
Comment on attachment 171254 [details]
revised patch against head

Andrey, just this tiny detail of approving the patch, to have the PR appear in the "Maintainer approved" saved search, please. :)
Comment 7 Andrey Zonov freebsd_committer 2016-06-13 18:31:40 UTC
Comment on attachment 171254 [details]
revised patch against head

Done.
Comment 8 Franco Fichtner 2016-07-06 06:59:24 UTC
Created attachment 172163 [details]
additional fix for unsetting NLS
Comment 9 Kurt Jaeger freebsd_committer 2016-07-25 10:46:15 UTC
On what versions did you test ? It fails to build on 12a, 11a ? It builds
on 10i, 93a.

See

http://people.freebsd.org/~pi/logs/sysutils__flock-cur-1469443282.txt
http://people.freebsd.org/~pi/logs/sysutils__flock-11a-1469443282.txt
Comment 10 Franco Fichtner 2016-07-25 10:55:00 UTC
Yup, 10. I'll patch this up. Didn't know that required removal on 11 and up.

https://lists.freebsd.org/pipermail/freebsd-current/2015-January/053963.html


Thanks,
Franco
Comment 11 Franco Fichtner 2016-07-30 07:51:31 UTC
Created attachment 173111 [details]
revised patch for FreeBSD 11+

Hi Kurt,

The ifdef guard in util-linux was fixed and DIOCGMEDIASIZE is already in there so no further porting required.


Cheers,
Franco
Comment 12 Kurt Jaeger freebsd_committer 2016-07-30 08:43:07 UTC
testing@work
Comment 13 commit-hook freebsd_committer 2016-07-30 09:41:41 UTC
A commit references this bug:

Author: pi
Date: Sat Jul 30 09:40:45 UTC 2016
New revision: 419304
URL: https://svnweb.freebsd.org/changeset/ports/419304

Log:
  sysutils/flock: 2.19 -> 2.28

  - This brings flock to the current state based on fetching the
    original util-linux sources and configuring them accordingly
  - adding a NLS knob as suggested by portlint.
  - For background on DIOCGDINFO see
    https://lists.freebsd.org/pipermail/freebsd-current/2015-January/053963.html
  - Submitter becomes maintainer

  PR:		210185
  Changes: http://git.kernel.org/?p=utils/util-linux/util-linux.git/
  Submitted by:	Franco Fichtner <franco@opnsense.org>
  Approved by:	zont (maintainer)

Changes:
  head/sysutils/flock/Makefile
  head/sysutils/flock/distinfo
  head/sysutils/flock/files/
  head/sysutils/flock/files/patch-include_pathnames.h
  head/sysutils/flock/files/patch-lib_blkdev.c
Comment 14 Kurt Jaeger freebsd_committer 2016-07-30 09:52:14 UTC
Committed, thanks!
Comment 15 Franco Fichtner 2016-07-30 09:52:50 UTC
Highly appreciated, thank you! :)